Does anyone know of a macro or software I could run a Catia welded frame through that would create a list of all the tubing and plates that need cut, the length they need cut, and the angles on each end that would need cut?
My company is looking to automate this process that is time consuming...
There are simple ones that are available on this forum and in the Portable Script Center, but I have built a pretty advanced one that articulates the part and can work on a surface, single body part, or multi body part.
This is something we have to trust from out customers.
We will do a comparison once we split it apart afterward.
These are usually designed in NX and come over as a part instead of a product.
The parts will be moved in position and rotation.
This is going to be a complicated code, just looking...
That is exactly what I would like.
Currently I have 100 part assemblies that are actually 500 part assemblies because of all the instances.
There are a few functions I run before this to clean up the names, but the basic Part 2 Product code is this:
Public Sub Option4()
Dim pctDone As...
I have a pretty robust Part 2 Product Macro that turns a part with multiple bodies into a product with parts made from those bodies.
The issue I run into is more customers are sending me files like this and I would like to improve it.
My part with multiple bodies will come in with names like...
That explains it, it wont work because they are in different parts.
For what I am doing, I will just have to figure out a different way, I do not want to create extracts in every part.
Thanks for the insight, I had no idea you couldn't do that.
Maybe I am not understanding exactly what you are explaining.
I can Run this on a simple product Called "BoundingBox_Test_Product" that has a few random angles and plates in it.
It also has a part called "BoundingBox" that this code is trying to build the Extracts into.
This macro fails on the...
I checked and even recorded my approach and the extract settings are correct.
Also verified I declared it as Reference.
My best guess is that it has something to do with when I record it, it uses CreateReferenceFromBRepName.
The recorded section of the code I do not know how to interpret is...
When I do this manually, I do not have a problem.
I perform the search, select all of the results.
Then click extract, the 27 results automatically populate into the "Elements to extract field" and I can hit "OK" and it works as expected.
I am running into a an error I have never seen before.
I want to search a product for visible faces, extract those faces, and join them all together.
The code fails on the oPart.Update, saying "Update Failed"
When I look at what was created in the model, it creates all the Extracts, but they...
Some of the most used Macros my department uses are:
1. My Custom Bounding Box Tool
2. A Custom tool I built that Overlays two different versions of the same model for revision reviewing
3. A Simple tool that gives you the option to hides features like Points, Planes, GD&T, Sketches, and Axis...
There is about 2" of thread on a 7' tall weldment.
This is a 38" Diameter disk in the middle of the weldment, so the full Gauge would be pretty big and expensive.
I know they make the following identifiers for smaller threads:
Threads per Inch
Thread Pitch
Thread Identifiers
What I would like...
My company is Machining a 38.000"-8 ACME-2G thread per ASME/ANSI B1.5 and they are trying to figure out the best way to inspect it once complete.
What is the best way to check these threads with it being so large?
Can anyone give me some guidance on how to design/draw up a straight gauge for...
This is the only way I could get the measure feature to work between the assembly and my 6 sides of a box in different parts.
But when I try to automate this, I run into an issue getting the dimension between the Assembly and one of my box sides.
From all my Googling, I was unable to find a...
Maybe I am doing it wrong, but I get a Compile Error. "Function or Interface Marked as Restricted" on the .GetCOG line.
Dim COGArray
Dim oSPAWorkbench As SPAWorkbench
Set oSPAWorkbench = oPartDocument.GetWorkbench("SPAWorkbench")...
How do I get the COG of a surface?
I have tried the code below a few different ways and I couldn't get it to work.
It fails on the last line with:
"The Method GetCOGPosition Failed"
I believe this code is for Solids and Not Surfaces, but I cant find one for Surfaces.
Any direction would be...
@MarkAF,
I went down that path and still had this issue.
I finally solved it, left all of my code alone, and removed the space between the h at the end of Length and the quotes.
This worked after a ton of problem solving.
Before:
("BB Length ", "LENGTH", 0#)
After:
("BB Length", "LENGTH", 0#)
@itsmyjob,
I figured out how to make this work and will probably modify my existing BoundingBox tool to work with this strategy.
Kind of a pain since the only way to get a measurement is by clicking the assembly and then the part, where it would be easier if I could just click an individual...
This sounds exactly what I am after, can you give me a little direction on how to use the CAA Tessellating?
I tried to look into it and I didn't quite understand it.
Does anyone have a Bounding Box code that works on an Assembly that does not use the Inertia Values?
I am trying to figure out a way to create a Bounding Box relative to an existing Axis System or a Flat Surface.
This is a tool for my Tool Builders and Shipping Department to figure out Size of...